$!
$! $Id: make.com,v 1.1 1997/02/23 15:55:47 eric Rel $
$!
$! Set the def dir to proper place for use in batch. Works for interactive too.
$flnm = f$enviroment("PROCEDURE")     ! get current procedure name
$set default 'f$parse(flnm,,,"DEVICE")''f$parse(flnm,,,"DIRECTORY")'
$!
$! Just some general constants...
$!
$ true  = 1
$ false = 0
$ ccopts = f$trnlnm("ccopts") + "/include=([.include],[])"
$ lopts  = f$trnlnm("lopts")
$!
$!
$! Check which compilers are available on this system
$!
$ its_decc = F$Search("Sys$System:DECC$Compiler.exe") .nes. ""
$ its_gnuc = .not. its_decc .and. (f$trnlnm("gnu_cc").nes."")
$ its_vaxc = .not. its_gnuc .and. (f$search("sys$system:vaxc.exe").nes."")
$!
$! Exit if no compiler available
$!
$ if .not. (its_decc .or. its_gnuc .or. its_vaxc)
$ then
$   write sys$output "C compiler required to build mkisofs"
$   exit
$ endif
$!
$! Override if requested from the commandline
$!
$ if (p2 .eqs. "DECC")
$  then
$   its_decc = true
$   its_gnuc = false
$   its_vaxc = false
$ endif
$ if (p2 .eqs. "GCC")
$  then
$  its_decc = false
$  its_gnuc = true
$  its_vaxc = false
$ endif
$ if (p2 .eqs. "VAXC")
$  then
$  its_decc = false
$  its_gnuc = false
$  its_vaxc = true
$ endif
$ If its_decc
$ Then
$   ccopts = ccopts + "/prefix=all"
$   if f$getsyi("hw_model") .ge. 1024
$   then
$     ccomp = "CC"                  ! This is an Alpha
$   else
$     ccomp = "CC/DECC"             ! This is a VAX
$   endif
$ endif
$ if its_gnuc then ccomp = "GCC"
$ if its_vaxc then ccomp = "CC"
$!
$! Build the option file
$!
$ open/write optf mkisofs.opt
$ write optf "Identification=""Mkisofs 1.12b5"""
$ write optf "mkisofs.obj"
$ write optf "write.obj"
$ write optf "tree.obj"
$ write optf "hash.obj"
$ write optf "rock.obj"
$ write optf "multi.obj"
$ write optf "joliet.obj"
$ write optf "match.obj"
$ write optf "name.obj"
$ write optf "fnmatch.obj"
$ write optf "eltorito.obj"
$ write optf "getopt.obj"
$ write optf "getopt1.obj"
$ write optf "vms.obj"
$ write optf "exclude.obj"
$ if its_gnuc
$ then
$   write optf "gnu_cc:[000000]gcclib/lib"
$   write optf "sys$library:vaxcrtl/lib"
$ endif
$ close optf
$!
$ if f$edit(p3,"upcase").eqs."DEBUG" 
$ then
$  ccopts = ccopts + "/noopt/debug"
$  lopts  = lopts  + "/debug/traceback"
$ endif
$if "''p1'".eqs."LINK" then goto link
$ copy/log config_vms.h config.h
$'ccomp' 'ccopts' mkisofs.c
$'ccomp' 'ccopts' write.c
$'ccomp' 'ccopts' tree.c
$'ccomp' 'ccopts' hash.c
$'ccomp' 'ccopts' rock.c
$'ccomp' 'ccopts' multi.c
$'ccomp' 'ccopts' joliet.c
$'ccomp' 'ccopts' match.c
$'ccomp' 'ccopts' name.c
$'ccomp' 'ccopts' fnmatch.c
$'ccomp' 'ccopts' eltorito.c
$'ccomp' 'ccopts'/define=("HAVE_CONFIG_H") getopt.c
$'ccomp' 'ccopts' getopt1.c
$'ccomp' 'ccopts' vms.c
$'ccomp' 'ccopts' exclude.c
$link:
$link'lopts'  mkisofs.opt/opt
$exit
